<template>
    <a :href="`/sites/${id}`" class="list-group-item">
        {{ domain }}
        <span :class="statusClass" class="badge text-white float-right">
            {{ statusText }}
        </span>
        <div class="progress">
            <div class="progress-bar w-50 bg-danger" role="progressbar" aria-valuemin="0" aria-valuemax="50">ERROR
            </div>
            <div class="progress-bar w-50 bg-success" role="progressbar" aria-valuemin="50" aria-valuemax="100">UP
            </div>
        </div>
    </a>
</template>

<script>
    export default {
        name: "Site",
        props: {
            id: {
                type: Number,
                required: true
            },
            domain: {
                type: String,
                required: true
            },
            status: {
                type: Boolean,
                required: true
            }
        },
        computed: {
            statusText() {
                return this.status ? 'OK' : 'ERROR';
            },
            statusClass() {
                return `bg-${this.status ? 'success' : 'danger'}`
            }
        }
    }
</script>

<style scoped>

</style>
